A reason of why VP17 not load HitFilm Movie Essentials Pack

lan-mLMC wrote on 10/2/2019, 5:40 AM

Magix changed Vegas Pro 17's identifier from "sonycreativesoftware" to "vegascreativesoftware", so many old version third-party FXs can't be loaded, such as  Ignite Eexpress, HitFilm Movie Essentials Pack, Ignite Pro 4.0 and so on...

Here is the repaired files of HitFilm Movie Essentials Pack, place them to "C:\Program Files\Common Files\OFX\Plugins\HitFilmMovieEssentialsPack.ofx.bundle\Contents\Win64" and replace orignal file.

I just have the trial of HitFilm Movie Essentials Pack. Maybe someone who has the license can test it.

=============================================================

I have removed the modified files, because these modifying breach the FXHome license agreements. But the reason why VP17 not load these plugins should be known.

Comments

lan-mLMC wrote on 10/2/2019, 1:07 PM

Here is the repaired files of IgniteExpress, place them to "C:\Program Files\Common Files\OFX\Plugins\IgniteCore.ofx.bundle\Contents\Win64" and replace orignal file.

Damian wrote on 10/2/2019, 3:29 PM

Vegas Pro 17 changed their identitier from "sonycreativesoftware" to "vegascreativesoftware", so many old version third-party FXs can't be loaded.

Here is the repaired files of HitFilm Movie Essentials Pack, place them to "C:\Program Files\Common Files\OFX\Plugins\HitFilmMovieEssentialsPack.ofx.bundle\Contents\Win64" and replace orignal file.

I just have the trial of HitFilm Movie Essentials Pack. Maybe someone who has the license can test it.


Now I see the FX Plugins but when I use them my screen is black. For example letterbox.

Is this an issue with the licence. My license is active.

 

frmax wrote on 10/2/2019, 5:51 PM

In VP17, me too.. But in VP16 Ignite and Hitfilm are working. After the last update of Hitfilm 13.1.9319 "Edit in Hitfilm" - ability is restored in VP16 and 17

TOG62 wrote on 10/3/2019, 12:23 AM

Ian; have you corresponded with FXHome about this? It would be very helpful if they could incorporate your changes, so that an official version could be available to VP 17 users.

lan-mLMC wrote on 10/3/2019, 1:06 AM

Ian; have you corresponded with FXHome about this? It would be very helpful if they could incorporate your changes, so that an official version could be available to VP 17 users.

I fixed it, but there are some problem

TOG62 wrote on 10/11/2019, 4:12 AM

Latest feedback from FXHome

"@best4ever @MikeReason Sorry, I have looked at this again and the HitFilm Movie Essentials pack is not supported in VEGAS 17.  The reason why is that MAGIX is the one distributing it and they did not want us to update it. If you contact MAGIX directly and ask them for the pack to be supported in VEGAS 17, they might change their mind. Providing there's enough people interested I'm sure it would then be worth doing an update."

I find this package extremely useful and would very much like to see it made available in VP17. Clearly I am not alone in this.

Reyfox wrote on 10/14/2019, 10:51 AM

Oh....I wonder if Ignite Pro 4 suffers the same fate...

TOG62 wrote on 10/14/2019, 12:36 PM

It would be nice to see a response from Magix, even if only to confirm what FXHome have said. It seems a very odd decision.

paul-marshall wrote on 10/15/2019, 3:47 AM

Movie Essentials has had a good run 13 - 14 -15 -16 and contained a few really useful fx I've got used to using. You would think it is in FXHome's interest to sell the latest package but It seems like FXHome are happy for us to continue using these legacy products, so I dont understand what Maigix problem is.

Dexcon wrote on 10/15/2019, 4:00 AM

Oh....I wonder if Ignite Pro 4 suffers the same fate...

@Reyfox … Ignite 4 works just fine in VP17 but only if you have version 4.1.

Reyfox wrote on 10/15/2019, 4:18 AM

Yes I do have 4.1. Thanks for the confirmation. A little OT.... I also have VP15 Suite and 16 Suite. I had problems with the different Boris versions removing or making not function past versions, resulting in me uninstalling (Revo Pro) and reinstalling. Do you know if VP17 Boris co-exists with past versions in VP?

Dexcon wrote on 10/15/2019, 4:51 AM

Do you know if VP17 Boris co-exists with past versions in VP?

I have no personal knowledge about this because I've been getting VP Edit all along and purchased BCC OFX directly from Boris; however, if you use this forum's search facility using something like 'Vegas Pro 17 Boris', there are many posts and comments around VP17 and Boris add-ons acquired as part of VP17 and earlier packages like Suite.

zdogg wrote on 10/17/2019, 2:21 AM

zdogg wrote on 10/17/2019, 12:19 AM

It is fairly obvious that this is a huge muck up......OR......Magix/Vegas are not keen on ANYTHING directly diluting sales of Vegas Post, which IS essentially Hitfilm. If I'm wrong, of course, I'd be glad to be so and will stand corrected, but I'll want to see some action to the contrary.

I am going to say the latter, as this "integration" of the two programs is not new. Shame, because I'd like the Hitfilm free offering and I don't want to bounce back and forth between version of Vegas.

Come on guys, Hitfilm PRO is what you're selling, not Hitfilm for free (Express) or am I wrong? Is Vegas Post simply Hitfilm Express, with slight variance, with a CHARGE for it, meanwhile, your GOOD customers are crashing computers and wasting time and pulling hair out trying to get Hitfilm Express (and otherwise maybe as well) to work......NOT COOL at all.

TOG62 wrote on 10/17/2019, 8:35 AM

This thread is really about HitFilm Movie Essentials Pack. Still no comment from Magix as to why it's not supported by VP 17.

zdogg wrote on 10/18/2019, 5:46 AM

This thread is really about HitFilm Movie Essentials Pack. Still no comment from Magix as to why it's not supported by VP 17.

Well, it would seem to be a "Hit" on everything "Hitfilm" for which the money does not flow through the Vegas Coffers, other than "high end" "Pro" or "Studio" offerings. Do you find that "educated guess" farfetched.

 

TOG62 wrote on 10/18/2019, 11:43 AM

Do you find that "educated guess" farfetched.

Not necessarily. If you're right it does seem rather penny pinching though. I upgraded from VP 15 to VP 17 fully expecting this plug-in to work (silly me). It does seem odd to market a so-called pro editing program with no video noise reduction function. I have several consumer programs that all have this facility. It's also available in the free Virtualdub package.

Although the Hitfilm film grain remover is not a true noise reduction add-on, it is extremely useful when dealing with digitised 8mm film.

zdogg wrote on 10/19/2019, 2:20 PM

Yes, well, you could use the stand alone Hitfilm Express, (I think)...and Happy Otter Scripts has both a "denoiser" and "sharpen" (can use both together, both adjustable). That, at least for now in its present "beta" release, is free. Highly recommend.

AlesCZ wrote on 10/22/2019, 1:50 AM

Could Magix comment on this problem? Because when it comes to marketing strategy, it's a very sad story.

Damian wrote on 10/22/2019, 2:44 AM

I believe this is not a technical Issue, it is more political or linked to financial liabilities and we do not know the contractual situation when Hitfilm express was offered in past. What is definitely sure is that you can no longer trust such offers in future when you want to upgrade.

AlesCZ wrote on 10/22/2019, 3:19 PM

@Damian: This is hard to believe. Some may have projects with these plugins and someone is wont to using these plugins.

TOG62 wrote on 10/23/2019, 12:16 AM

@Damian: This is hard to believe. Some may have projects with these plugins and someone is wont to using these plugins.

+1

john-rappl wrote on 2/2/2020, 9:41 AM

Yes, I have projects using the Hitfilm plugins. I've contacted FMHome and they blame Magix (you need an update of Vegas - no, I have had 2 updates since the problem) and Magix blames FXHome (you need a Hitfilms update) . I got my Hitfilms license with a purchase of Vegas Pro 15 and I used it in projects. Now I update to Vegas Pro 17 and my projects fail with missing plugins - How can any user trust Magix going forward? Doesn't make sense!

I was in software for years and there is no way we would have ever done this to our customers!!!! Image updated to a new version of corporate DB software and not being able to access your data!!!

I have an investment in software and training in Vegas but I am looking for other options as this is not acceptable!

Reyfox wrote on 2/3/2020, 8:50 AM

@john-rappl curious as to which Hitfilm plugins you are using. I have Ignite Pro, and the 4.0 version does work with VP17.

john-rappl wrote on 2/3/2020, 12:57 PM

I was trying to use Hitfilms Movie Essentials that I purchased with Vegas Pro 15 directly from Magix. I did get another response from FXHome today and it's looks like I'm out of lucky unless I want to go back to VP 15:

A new response has been posted to your ticket:

Hello,
Thank you for your reply. It is not possible to use Movie Essentials in VEGAS 17. You must use an earlier version of VEGAS in order to access those plugins.

Regards,

Axel Wilkinson
HitFilm Support

Great guys, thanks for putting your customers first!